--- old/usr/src/lib/print/mod_ipp/mod_ipp.c	Wed Aug  8 20:59:37 2012
+++ new/usr/src/lib/print/mod_ipp/mod_ipp.c	Wed Aug  8 20:59:36 2012
@@ -20,6 +20,7 @@
  */
 
 /*
+ * Copyright 2012 Nexenta Systems, Inc.  All rights reserved.
  * Copyright 2006 Sun Microsystems, Inc.  All rights reserved.
  * Use is subject to license terms.
  *
@@ -27,8 +28,6 @@
 
 /* $Id: mod_ipp.c 149 2006-04-25 16:55:01Z njacobs $ */
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 /*
  * Internet Printing Protocol (IPP) module for Apache.
  */
@@ -51,7 +50,7 @@
 #include "papi.h"
 #ifndef APACHE_RELEASE	/* appears to only exist in Apache 1.X */
 #define	APACHE2
-#include "apr_compat.h"
+#define ap_table_get apr_table_get
 #endif
 
 #include <papi.h>
@@ -194,7 +193,7 @@
 	va_end(args);
 
 #ifdef APACHE2
-	ap_log_rerror(file, line, level, NULL, r, message);
+	ap_log_rerror(file, line, level, APR_SUCCESS, r, message);
 #else
 	ap_log_rerror(file, line, level, r, message);
 #endif
@@ -288,6 +287,7 @@
 					config->default_svc);
 	}
 
+#ifndef APACHE2
 	/*
 	 * For Trusted Solaris, pass the fd number of the socket connection
 	 * to the backend so the it can be forwarded to the backend print
@@ -296,6 +296,7 @@
 	 */
 	(void) papiAttributeListAddInteger(&request, PAPI_ATTR_EXCL,
 			"peer-socket", ap_bfileno(r->connection->client, B_RD));
+#endif
 
 	/* process the request */
 	status = ipp_process_request(request, &response, read_data, r);
@@ -399,7 +400,7 @@
 
 /*ARGSUSED0*/
 static const char *
-ipp_operation(cmd_parms *cmd, void *cfg, char *op, char *toggle)
+ipp_operation(cmd_parms *cmd, void *cfg, const char *op, const char *toggle)
 {
 	IPPListenerConfig *config = (IPPListenerConfig *)cfg;
 	papi_status_t status;
